<?php
class sef_hikashop {
    function create($string) {
		$string = str_replace("&amp;", "&", preg_replace('#(index\.php\??)#i','',$string));
		$query = array();
		$allValues = explode('&',$string);
		foreach($allValues as $oneValue){
			list($var,$val) = explode('=',$oneValue);
			$query[$var] = $val;
		}
		$segments = array();
		if(function_exists('hikashop_config') || include_once(rtrim(JPATH_ADMINISTRATOR,DS).DS.'components'.DS.'com_hikashop'.DS.'helpers'.DS.'helper.php')){
			$config =& hikashop_config();
			if($config->get('activate_sef',1)){
				$categorySef=$config->get('category_sef_name','category');
				$productSef=$config->get('product_sef_name','product');
				if(empty($categorySef)){
					$categorySef='';
				}
				if(empty($productSef)){
					$productSef='';
				}

				if(isset($query['ctrl']) && isset($query['task'])){
					if($query['ctrl']=='category' && $query['task']=='listing'){
						$segments[] = $categorySef;
						unset( $query['ctrl'] );
						unset( $query['task'] );
					}
					else if($query['ctrl']=='product' && $query['task']=='show'){
						$segments[] = $productSef;
						unset( $query['ctrl'] );
						unset( $query['task'] );
					}
				}
				else if(isset($query['view']) && isset($query['layout'])){
					if($query['view']=='category' && $query['layout']=='listing'){
						$segments[] = $categorySef;
						unset( $query['layout'] );
						unset( $query['view'] );
					}
					else if($query['view']=='product' && $query['layout']=='show'){
						$segments[] = $productSef;
						unset( $query['layout'] );
						unset( $query['view'] );
					}
				}
			}
		}
		if (isset($query['ctrl'])) {
			$segments[] = $query['ctrl'];
			unset( $query['ctrl'] );
			if (isset($query['task'])) {
				$segments[] = $query['task'];
				unset( $query['task'] );
			}
		}elseif(isset($query['view'])){
			$segments[] = $query['view'];
			unset( $query['view'] );
			if(isset($query['layout'])){
				$segments[] = $query['layout'];
				unset( $query['layout'] );
			}
		}
		if(isset($query['category_pathway'])&& empty($query['category_pathway'])){
			unset( $query['category_pathway'] );
		}
		if(isset($query['cid']) && isset($query['name'])){
			if(is_numeric($query['name'])){
				$query['name']=$query['name'].'-';
			}
			$segments[] = $query['cid'].':'.$query['name'];
			unset($query['cid']);
			unset($query['name']);
		}
		unset($query['option']);
		if(!empty($query)){
			foreach($query as $name => $value){
				$segments[] = $name.':'.$value;
			}
		}
        return implode('/',$segments);
    }
}